# Uses of Interface
org.eclipse.emf.cdo.server.IStoreAccessor

Packages that use IStoreAccessor
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.lissome
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.mongodb
Server concepts for dealing with MongoDB stores and accessors.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IStoreAccessor in org.eclipse.emf.cdo.server

Subinterfaces of IStoreAccessor in org.eclipse.emf.cdo.server
Modifier and Type
Interface
Description
`static interface`
`IStoreAccessor.Raw`
An extension interface for `store accessors` that support raw data access as needed by `repository synchronizers` or `server importers`.
`static interface`
`IStoreAccessor.Raw2`
An extension interface for `store accessors` that support raw data access as needed by `repository synchronizers` or `server importers`.
`static interface`
`IStoreAccessor.UnitSupport`
An extension interface for `store accessors` that support units.
Methods in org.eclipse.emf.cdo.server that return IStoreAccessor
Modifier and Type
Method
Description
`IStoreAccessor`
IStoreChunkReader.`getAccessor()`
`static IStoreAccessor`
StoreThreadLocal.`getAccessor()`
`IStoreAccessor`
IStore.`getReader(ISession session)`
Returns a reader that can be used to read from this store in the context of the given session.
`IStoreAccessor`
IStore.`getWriter(ITransaction transaction)`
Returns a writer that can be used to write to this store in the context of the given view.
Methods in org.eclipse.emf.cdo.server with parameters of type IStoreAccessor
Modifier and Type
Method
Description
`static void`
StoreThreadLocal.`setAccessor(IStoreAccessor accessor)`

## Uses of IStoreAccessor in org.eclipse.emf.cdo.server.db

Subinterfaces of IStoreAccessor in org.eclipse.emf.cdo.server.db
Modifier and Type
Interface
Description
`interface`
`IDBStoreAccessor`
A `store accessor` for CDO's proprietary object/relational mapper.

## Uses of IStoreAccessor in org.eclipse.emf.cdo.server.lissome

Subinterfaces of IStoreAccessor in org.eclipse.emf.cdo.server.lissome
Modifier and Type
Interface
Description
`interface`
`ILissomeStoreAccessor`
A `store accessor` for CDO's proprietary Lissome store.

## Uses of IStoreAccessor in org.eclipse.emf.cdo.server.mongodb

Subinterfaces of IStoreAccessor in org.eclipse.emf.cdo.server.mongodb
Modifier and Type
Interface
Description
`interface`
`IMongoDBStoreAccessor`
A `store accessor` for CDO's MongoDB back-end integration.

## Uses of IStoreAccessor in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl with parameters of type IStoreAccessor
Modifier and Type
Method
Description
`protected Set<EObject>`
CDOExtentCreator.`createExtent(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, AtomicBoolean canceled)`
`protected void`
CDOExtentCreator.`createExtent(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, AtomicBoolean canceled, CDORevisionHandler revisionHandler)`
`protected Set<EObject>`
CDOExtentCreator.Lazy.`createExtent(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, AtomicBoolean canceled)`
`protected void`
CDOExtentCreator.`handleRevisions(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, CDORevisionHandler revisionHandler)`

## Uses of IStoreAccessor in org.eclipse.emf.cdo.spi.server

Classes in org.eclipse.emf.cdo.spi.server that implement IStoreAccessor
Modifier and Type
Class
Description
`class`
`LongIDStoreAccessor`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`StoreAccessor`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`StoreAccessorBase`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.server that return IStoreAccessor
Modifier and Type
Method
Description
`protected abstract IStoreAccessor`
Store.`createReader(ISession session)`
Creates and returns a new `IStoreAccessor` instance.
`protected abstract IStoreAccessor`
Store.`createWriter(ITransaction transaction)`
Creates and returns a new `IStoreAccessor` instance.
`IStoreAccessor`
InternalRepository.`ensureChunk(InternalCDORevision revision, EStructuralFeature feature, int chunkStart, int chunkEnd)`
`IStoreAccessor`
InternalCommitContext.`getAccessor()`
`IStoreAccessor`
StoreChunkReader.`getAccessor()`
`IStoreAccessor`
Store.`getReader(ISession session)`
`IStoreAccessor`
Store.`getWriter(ITransaction transaction)`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type IStoreAccessor
Modifier and Type
Method
Description
`abstract void`
CDOCommand.WithAccessor.`execute(InternalRepository repository, IStoreAccessor accessor, String[] args)`
Constructors in org.eclipse.emf.cdo.spi.server with parameters of type IStoreAccessor
Modifier
Constructor
Description
``
`CommitDataRevisionHandler(IStoreAccessor storeAccessor, long timeStamp)`
``
`StoreChunkReader(IStoreAccessor accessor, CDORevision revision, EStructuralFeature feature)`